Index: trunk/ab5.0/abdev/BasicCompiler_Common/include/Class.h
===================================================================
--- trunk/ab5.0/abdev/BasicCompiler_Common/include/Class.h	(revision 522)
+++ trunk/ab5.0/abdev/BasicCompiler_Common/include/Class.h	(revision 523)
@@ -16,5 +16,5 @@
 
 public:
-	ClassPrototype( const NamespaceScopes &namespaceScopes, const string &name )
+	ClassPrototype( const NamespaceScopes &namespaceScopes, const std::string &name )
 		: Prototype( namespaceScopes, name )
 		, DynamicMethodsPrototype()
@@ -106,5 +106,5 @@
 public:
 
-	CClass( const NamespaceScopes &namespaceScopes, const NamespaceScopesCollection &importedNamespaces, const string &name )
+	CClass( const NamespaceScopes &namespaceScopes, const NamespaceScopesCollection &importedNamespaces, const std::string &name )
 		: ClassPrototype( namespaceScopes, name )
 		, importedNamespaces( importedNamespaces )
@@ -501,6 +501,6 @@
 	virtual void Compile_System_InitializeUserTypesForBaseType();
 
-	const CClass *Find( const NamespaceScopes &namespaceScopes, const string &name ) const;
-	const CClass *Find( const string &fullName ) const;
+	const CClass *Find( const NamespaceScopes &namespaceScopes, const std::string &name ) const;
+	const CClass *Find( const std::string &fullName ) const;
 
 
Index: trunk/ab5.0/abdev/BasicCompiler_Common/include/Const.h
===================================================================
--- trunk/ab5.0/abdev/BasicCompiler_Common/include/Const.h	(revision 522)
+++ trunk/ab5.0/abdev/BasicCompiler_Common/include/Const.h	(revision 523)
@@ -75,9 +75,9 @@
 
 	void Add( const NamespaceScopes &namespaceScopes, char *buffer);
-	void Add( const NamespaceScopes &namespaceScopes, const string &name, char *Expression);
-	void Add( const NamespaceScopes &namespaceScopes, const string &name, int value);
+	void Add( const NamespaceScopes &namespaceScopes, const std::string &name, char *Expression);
+	void Add( const NamespaceScopes &namespaceScopes, const std::string &name, int value);
 
 private:
-	CConst *GetObjectPtr( const string &name );
+	CConst *GetObjectPtr( const std::string &name );
 public:
 
@@ -107,5 +107,5 @@
 
 public:
-	ConstMacro( const NamespaceScopes &namespaceScopes, const std::string &name, const std::vector<std::string> &parameters, const string &expression )
+	ConstMacro( const NamespaceScopes &namespaceScopes, const std::string &name, const std::vector<std::string> &parameters, const std::string &expression )
 		: Symbol( namespaceScopes, name )
 		, parameters( parameters )
Index: trunk/ab5.0/abdev/BasicCompiler_Common/include/Member.h
===================================================================
--- trunk/ab5.0/abdev/BasicCompiler_Common/include/Member.h	(revision 522)
+++ trunk/ab5.0/abdev/BasicCompiler_Common/include/Member.h	(revision 523)
@@ -7,17 +7,15 @@
 #include <Program.h>
 
-using namespace std;
-
 class CClass;
 
 class CMember : public MemberPrototype
 {
-	string name;
+	std::string name;
 	Type type;
 	bool isConst;
 	Subscripts subscripts;
 
-	string initializeExpression;
-	string constructParameter;
+	std::string initializeExpression;
+	std::string constructParameter;
 
 	// XMLシリアライズ用
@@ -42,9 +40,9 @@
 	int source_code_address;
 
-	const string &GetName() const
+	const std::string &GetName() const
 	{
 		return name;
 	}
-	void SetName( const string &name )
+	void SetName( const std::string &name )
 	{
 		this->name = name;
@@ -70,14 +68,14 @@
 	}
 
-	const string &GetInitializeExpression() const
+	const std::string &GetInitializeExpression() const
 	{
 		return initializeExpression;
 	}
-	const string &GetConstructParameter() const
+	const std::string &GetConstructParameter() const
 	{
 		return constructParameter;
 	}
 
-	CMember( Prototype::Accessibility accessibility, const string &name, const Type &newType, bool isConst, const Subscripts &subscripts, const string &initializeExpression, const string &constructParameter )
+	CMember( Prototype::Accessibility accessibility, const std::string &name, const Type &newType, bool isConst, const Subscripts &subscripts, const std::string &initializeExpression, const std::string &constructParameter )
 		: MemberPrototype( accessibility )
 		, name( name )
Index: trunk/ab5.0/abdev/BasicCompiler_Common/include/Method.h
===================================================================
--- trunk/ab5.0/abdev/BasicCompiler_Common/include/Method.h	(revision 522)
+++ trunk/ab5.0/abdev/BasicCompiler_Common/include/Method.h	(revision 523)
@@ -1,5 +1,3 @@
 #pragma once
-
-using namespace std;
 
 class UserProc;
@@ -221,5 +219,5 @@
 BOOST_CLASS_EXPORT( StaticMethod );
 
-class Methods : public vector<CMethod *>
+class Methods : public std::vector<CMethod *>
 {
 	// XMLシリアライズ用
@@ -256,6 +254,6 @@
 	const CMethod *GetMethodPtr( const UserProc *pUserProc ) const;
 	bool IsExist( const char *name ) const;
-	virtual void Enum( const char *methodName, vector<const UserProc *> &subs ) const;
-	virtual void Enum( BYTE idOperatorCalc, vector<const UserProc *> &subs ) const;
+	virtual void Enum( const char *methodName, std::vector<const UserProc *> &subs ) const;
+	virtual void Enum( BYTE idOperatorCalc, std::vector<const UserProc *> &subs ) const;
 
 	// 仮想メソッドの個数を取得
Index: trunk/ab5.0/abdev/BasicCompiler_Common/include/Procedure.h
===================================================================
--- trunk/ab5.0/abdev/BasicCompiler_Common/include/Procedure.h	(revision 522)
+++ trunk/ab5.0/abdev/BasicCompiler_Common/include/Procedure.h	(revision 523)
@@ -57,5 +57,5 @@
 
 public:
-	Procedure( const NamespaceScopes &namespaceScopes, const string &name, Kind kind, bool isCdecl )
+	Procedure( const NamespaceScopes &namespaceScopes, const std::string &name, Kind kind, bool isCdecl )
 		: Symbol( namespaceScopes, name )
 		, kind( kind )
@@ -114,5 +114,5 @@
 {
 public:
-	string _paramStr;
+	std::string _paramStr;
 
 private:
@@ -179,5 +179,5 @@
 public:
 
-	UserProc( const NamespaceScopes &namespaceScopes, const NamespaceScopesCollection &importedNamespaces, const string &name, Kind kind, bool isMacro, bool isCdecl, bool isExport )
+	UserProc( const NamespaceScopes &namespaceScopes, const NamespaceScopesCollection &importedNamespaces, const std::string &name, Kind kind, bool isMacro, bool isCdecl, bool isExport )
 		: Procedure( namespaceScopes, name, kind, isCdecl )
 		, importedNamespaces( importedNamespaces )
@@ -434,6 +434,6 @@
 class DllProc : public Procedure, public Jenga::Common::ObjectInHashmap<DllProc>
 {
-	string dllFileName;
-	string alias;
+	std::string dllFileName;
+	std::string alias;
 	int lookupAddress;
 
@@ -452,5 +452,5 @@
 
 public:
-	DllProc( const NamespaceScopes &namespaceScopes, const string &name, Kind kind, bool isCdecl, const string &dllFileName, const string &alias )
+	DllProc( const NamespaceScopes &namespaceScopes, const std::string &name, Kind kind, bool isCdecl, const std::string &dllFileName, const std::string &alias )
 		: Procedure( namespaceScopes, name, kind, isCdecl )
 		, dllFileName( dllFileName )
@@ -481,9 +481,9 @@
 	}
 
-	const string &GetDllFileName() const
+	const std::string &GetDllFileName() const
 	{
 		return dllFileName;
 	}
-	const string &GetAlias() const
+	const std::string &GetAlias() const
 	{
 		return alias;
@@ -542,5 +542,5 @@
 };
 
-class ProcPointers : public vector<ProcPointer *>
+class ProcPointers : public std::vector<ProcPointer *>
 {
 	// XMLシリアライズ用
@@ -564,5 +564,5 @@
 	}
 
-	int Add( const string &typeExpression );
+	int Add( const std::string &typeExpression );
 	void Clear();
 	void PullOutAll()
Index: trunk/ab5.0/abdev/BasicCompiler_Common/include/Source.h
===================================================================
--- trunk/ab5.0/abdev/BasicCompiler_Common/include/Source.h	(revision 522)
+++ trunk/ab5.0/abdev/BasicCompiler_Common/include/Source.h	(revision 523)
@@ -96,5 +96,5 @@
 	}
 
-	bool ReadFile( const string &filePath );
+	bool ReadFile( const std::string &filePath );
 
 	static void Text::SlideString(char *buffer, int slide){
@@ -109,5 +109,5 @@
 class BasicSource : public Text
 {
-	static const string generateDirectiveName;
+	static const std::string generateDirectiveName;
 
 	IncludedFilesRelation includedFilesRelation;
@@ -186,5 +186,5 @@
 	void RemoveComments();
 
-	bool ReadFile_InIncludeDirective( const string &filePath );
+	bool ReadFile_InIncludeDirective( const std::string &filePath );
 	void DirectiveIncludeOrRequire();
 
@@ -229,7 +229,7 @@
 	void SetBuffer( const char *buffer );
 
-	bool ReadFile( const string &filePath );
-
-	bool Generate( const string &genName, const char *buffer );
+	bool ReadFile( const std::string &filePath );
+
+	bool Generate( const std::string &genName, const char *buffer );
 
 	void Addition( const char *buffer );
Index: trunk/ab5.0/abdev/BasicCompiler_Common/include/TypeDef.h
===================================================================
--- trunk/ab5.0/abdev/BasicCompiler_Common/include/TypeDef.h	(revision 522)
+++ trunk/ab5.0/abdev/BasicCompiler_Common/include/TypeDef.h	(revision 523)
@@ -6,6 +6,4 @@
 #include <Type.h>
 
-using namespace std;
-
 class TypeDefCollection;
 
@@ -14,5 +12,5 @@
 	friend TypeDefCollection;
 
-	string baseName;
+	std::string baseName;
 	Type baseType;
 
@@ -30,5 +28,5 @@
 
 public:
-	TypeDef( const NamespaceScopes &namespaceScopes, const string &name, const string &baseName, int nowLine );
+	TypeDef( const NamespaceScopes &namespaceScopes, const std::string &name, const std::string &baseName, int nowLine );
 	TypeDef()
 	{
@@ -38,5 +36,5 @@
 	}
 
-	const string &GetBaseName() const
+	const std::string &GetBaseName() const
 	{
 		return baseName;
@@ -65,10 +63,10 @@
 	~TypeDefCollection();
 
-	void Add( const NamespaceScopes &namespaceScopes, const string &name, const string &baseName, int nowLine );
-	int GetIndex( const NamespaceScopes &namespaceScopes, const string &name ) const;
-	int GetIndex( const string &fullName ) const;
+	void Add( const NamespaceScopes &namespaceScopes, const std::string &name, const std::string &baseName, int nowLine );
+	int GetIndex( const NamespaceScopes &namespaceScopes, const std::string &name ) const;
+	int GetIndex( const std::string &fullName ) const;
 
 private:
-	void Add( const NamespaceScopes &namespaceScopes, const string &expression, int nowLine );
+	void Add( const NamespaceScopes &namespaceScopes, const std::string &expression, int nowLine );
 public:
 	void CollectTypeDefs();
Index: trunk/ab5.0/abdev/BasicCompiler_Common/include/Variable.h
===================================================================
--- trunk/ab5.0/abdev/BasicCompiler_Common/include/Variable.h	(revision 522)
+++ trunk/ab5.0/abdev/BasicCompiler_Common/include/Variable.h	(revision 523)
@@ -57,6 +57,6 @@
 
 public:
-	Variable( const string &name, const Type &type, bool isConst, bool isRef, const std::string &paramStrForConstructor, bool hasInitData );
-	Variable( const NamespaceScopes &namespaceScopes, const string &name, const Type &type, bool isConst, bool isRef, const std::string &paramStrForConstructor, bool hasInitData );
+	Variable( const std::string &name, const Type &type, bool isConst, bool isRef, const std::string &paramStrForConstructor, bool hasInitData );
+	Variable( const NamespaceScopes &namespaceScopes, const std::string &name, const Type &type, bool isConst, bool isRef, const std::string &paramStrForConstructor, bool hasInitData );
 	Variable( const Variable &var );
 	Variable();
@@ -185,5 +185,5 @@
 };
 
-class Variables : public vector<Variable *>
+class Variables : public std::vector<Variable *>
 {
 protected:
Index: trunk/ab5.0/abdev/BasicCompiler_Common/include/logger.h
===================================================================
--- trunk/ab5.0/abdev/BasicCompiler_Common/include/logger.h	(revision 522)
+++ trunk/ab5.0/abdev/BasicCompiler_Common/include/logger.h	(revision 523)
@@ -84,5 +84,5 @@
 inline void basic_dbg_streambuf<char>::dbg_out(const char *str)
 {
-	ofstream ofs( ( saveFilePath ).c_str(), ios_base::app );
+	std::ofstream ofs( ( saveFilePath ).c_str(), std::ios_base::app );
 	ofs << "[" << (count++) << "] " << str ;
 	ofs.close();
@@ -100,8 +100,8 @@
 {
 public:
-	basic_dbg_ostream( const string &saveFilePath, bool isOptionEnabled )
+	basic_dbg_ostream( const std::string &saveFilePath, bool isOptionEnabled )
 		: std::basic_ostream<Ch_T, Tr_T>(new basic_dbg_streambuf<Ch_T, Tr_T>(saveFilePath,isOptionEnabled))
 	{
-		ofstream ofs( ( saveFilePath ).c_str(), ios_base::trunc );
+		std::ofstream ofs( ( saveFilePath ).c_str(), std::ios_base::trunc );
 		ofs.close();
 	}
Index: trunk/ab5.0/abdev/BasicCompiler_Common/include/option.h
===================================================================
--- trunk/ab5.0/abdev/BasicCompiler_Common/include/option.h	(revision 522)
+++ trunk/ab5.0/abdev/BasicCompiler_Common/include/option.h	(revision 523)
@@ -37,5 +37,5 @@
 
 #ifdef USE_TRACE
-#define trace(s) Program::logger << s << endl
+#define trace(s) Program::logger << s << std::endl
 #else
 #define trace(s)
